condor_who(1)

Name

condor_whoDisplay information about owners of jobs and jobs running on an execute machine

Synopsis
condor_who[help options] [address options] [display options]

Description
condor_whoqueries and displays information about the user that owns the jobs running on a machine. It is intended to be run on an execute machine.

The options that may be supplied to condor_whobelong to three groups:

    * Help optionsprovide information about the condor_whotool.

    * Address optionsallow destination specification for query.

    * Display optionscontrol the formatting and which of the queried information to display.

At any time, only one help optionand one address optionmay be specified. Any number of display optionsmay be specified.

condor_whoobtains its information about jobs by talking to one or more condor_startddaemons. So, condor_whomust identify the command port of any condor_startddaemons. An address optionprovides this information. If noaddress optionis given on the command line, then condor_whosearches using this ordering:

    1. A defined value of the environment variable CONDOR_CONFIGspecifies the directory where log and address files are to be scanned for needed information.

    2. With the aim of finding all condor_startddaemons, condor_whoutilizes the same algorithm it would using the -allpidsoption. The Linux psor the Windows tasklistprogram obtains all PIDs. As Linux rootor Windows administrator, the Linux lsofor the Windows netstatidentifies open sockets and from there the PIDs of listen sockets. Correlating the two lists of PIDs results in identifying the command ports of all condor_startddaemons.

Options

-help

    (help option) Display usage information

-daemons

    (help option) Display information about the daemons running on the specified machine, including the daemon's PID, IP address and command port

-diagnostic

    (help option) Display extra information helpful for debugging

-verbose

    (help option) Display PIDs and addresses of daemons

-address hostaddress

    (address option) Identify the condor_startdhost address to query

-allpids

    (address option) Query all local condor_startddaemons

-logdir directoryname

    (address option) Specifies the directory containing log and address files that condor_whowill scan to search for command ports of condor_startdaemons to query

-pid PID

    (address option) Use the given PIDto identify the condor_startddaemon to query

-long

    (display option) Display entire ClassAds

-wide

    (display option) Displays fields without truncating them in order to fit screen width

-format fmt attr

    (display option) Display attribute attrin format fmt. To display the attribute or expression the format must contain a single printf(3)-style conversion specifier. Attributes must be from the resource ClassAd. Expressions are ClassAd expressions and may refer to attributes in the resource ClassAd. If the attribute is not present in a given ClassAd and cannot be parsed as an expression, then the format option will be silently skipped. %r prints the unevaluated, or raw values. The conversion specifier must match the type of the attribute or expression. %s is suitable for strings such as Name, %d for integers such as LastHeardFrom, and %f for floating point numbers such as LoadAvg. %v identifies the type of the attribute, and then prints the value in an appropriate format. %V identifies the type of the attribute, and then prints the value in an appropriate format as it would appear in the -longformat. As an example, strings used with %V will have quote marks. An incorrect format will result in undefined behavior. Do not use more than one conversion specifier in a given format. More than one conversion specifier will result in undefined behavior. To output multiple attributes repeat the -formatoption once for each desired attribute. Like printf(3)-style formats, one may include other text that will be reproduced directly. A format without any conversion specifiers may be specified, but an attribute is still required. Include a backslash followed by an `n' to specify a line break.

-autoformat[:lhVr,tng] attr1 [attr2 ...]or -af[:lhVr,tng] attr1 [attr2 ...]

    (display option) Display attribute(s) or expression(s) formatted in a default way according to attribute types. This option takes an arbitrary number of attribute names as arguments, and prints out their values, with a space between each value and a newline character after the last value. It is like the -formatoption without format strings.

    It is assumed that no attribute names begin with a dash character, so that the next word that begins with dash is the start of the next option. The autoformatoption may be followed by a colon character and formatting qualifiers to deviate the output formatting from the default:

    llabel each field,

    hprint column headings before the first line of output,

    Vuse %V rather than %v for formatting (string values are quoted),

    rprint "raw", or unevaluated values,

    ,add a comma character after each field,

    tadd a tab character before each field instead of the default space character,

    nadd a newline character after each field,

    gadd a newline character between ClassAds, and suppress spaces before each field.

    Use -af:hto get tabular values with headings.

    Use -af:lrngto get -long equivalent format.

    The newline and comma characters may notbe used together. The land hcharacters may notbe used together.

Examples

Example 1Sample output from the local machine, which is running a single HTCondor job. Note that the output of the PROGRAMfield will be truncated to fit the display, similar to the artificial truncation shown in this example output.

% condor_who
OWNER CLIENT SLOT JOB RUNTIME PID PROGRAM
smith1@crane.cs.wisc.edu crane.cs.wisc.edu 2 320.0 0+00:00:08 7776 D:\scratch\condor\execut

Example 2Verbose sample output.

% condor_who -verbose
LOG directory "D:\scratch\condor\master\test/log"
Daemon PID Exit Addr Log, Log.Old
------ --- ---- ---- ---, -------
Collector 6788 <128.105.136.32:7977> CollectorLog, CollectorLog.old
Credd 8148 <128.105.136.32:9620> CredLog, CredLog.old
Master 5976 <128.105.136.32:64980> MasterLog,
Match MatchLog, MatchLog.old
Negotiator 6600 NegotiatorLog, NegotiatorLog.old
Schedd 6336 <128.105.136.32:64985> SchedLog, SchedLog.old
Shadow ShadowLog,
Slot1 StarterLog.slot1,
Slot2 7272 <128.105.136.32:65026> StarterLog.slot2,
Slot3 StarterLog.slot3,
Slot4 StarterLog.slot4,
SoftKill SoftKillLog,
Startd 7416 <128.105.136.32:64984> StartLog, StartLog.old
Starter StarterLog,
TOOL TOOLLog,
OWNER CLIENT SLOT JOB RUNTIME PID PROGRAM
smith1@crane.cs.wisc.edu crane.cs.wisc.edu 2 320.0 0+00:01:28 7776 D:\scratch\condor\execut

Exit Status

condor_whowill exit with a status value of 0 (zero) upon success, and it will exit with the value 1 (one) upon failure.

Author
Center for High Throughput Computing, University of Wisconsin&ndash;Madison

Copyright
Copyright © 1990-2019 Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI. All Rights Reserved. Licensed under the Apache License, Version 2.0.